it-swarm-ja.tech

JAuthentication::authenticate:プラグインの読み込みに失敗しました:plgauthenticationcookie

ログインしようとすると、次のエラーメッセージが表示されます。

JAuthentication: :authenticate: Failed to load plugin: plgauthenticationcookie

どのユーザーでもフロントエンドまたはバックエンドにログインできません。

同じサーバー上の別のスキーマにDBを移動した後、私はこれを見始めました。 DBにログインして、すべてのユーザーがusersテーブルに存在することを確認できます。

この問題を解決するためにどこをチェックすればよいか誰かが知っていますか?

Joomlaバージョン3.1.5

3

まず、Joomla 3.1.5を使用しているのはなぜですか。現在のバージョンは3.3.0で、このバージョン以降、いくつかのセキュリティ問題が修正されています。できるだけ早く更新する必要があります。つまり、昨日更新する必要があります。言い訳しない。

メッセージも。これは、remember meプラグインからのものです。 Joomlaはそのプラグインをロードしようとし、何らかの理由で失敗します。メッセージを削除するプラグインを無効にすることもできます(Joomlaがメッセージを読み込まないため)。ただし、「記憶」チェックボックスは機能しなくなります。

プラグインが読み込まれない理由を知るのは難しいです。 PHPエラーログファイルをチェックして、他のメッセージがないかどうかを確認できます。

インストールを更新することをお勧めします。もう半年前にこれをやるべきだったと言ったことはありますか?

6
Bakual

私のウェブサイトでも同じ問題がありました。この問題は、データベーステーブルに認証プラグインがあるがバックエンドにインストールされていない場合に発生します。

この状態は、たとえば、古いデータベースと新しいテーマを使用した場合に発生する可能性があります。新しいテーマは古いプラグインをサポートしていない可能性があるため、そのファイルは失われます。

あなたはどちらかすべきです:

  1. Joomlaバックエンドからプラグインのリストでそれを無効にします(プラグインリストでその名前を検索します)
  2. プラグインの古いバージョンのWebサイトファイルをチェックインし、FTPまたはファイルマネージャーを介してWebサイトにコピーをアップロードします。
  3. JEDでプラグインを検索し、joomlaにインストールします
  4. データベースから無効化/削除/(バックアップを保存してください!)
1
Abeiddy

プラグインのフォルダが破損しています。バックアップから再読み込みしてください。これは、誤ってプラグインフォルダーをfilezilla lmfaoのテンプレートフォルダーに移動したときに起こりました。

0
Cesar Garcia